Bug 479201 - RFE: build ruby bindings for libselinux (puppet will benefit from these bindings)
RFE: build ruby bindings for libselinux (puppet will benefit from these bindi...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libselinux (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-07 17:48 EST by Todd Zullinger
Modified: 2009-09-02 03:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 654120 (view as bug list)
Environment:
Last Closed: 2009-09-02 03:57:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd Zullinger 2009-01-07 17:48:35 EST
Dan,

If you could build the ruby bindings for libselinux, many puppet users would benefit.  As of puppet-0.24.7, the SELinux support in puppet requires the use of the ruby bindings.  These are currently only built for Fedora >= 10 (I'll should probably file a separate enhancement request for Fedora 9).

Many thanks.
Comment 1 Marc Fournier 2009-01-22 03:51:04 EST
Please let the puppet crowd know when something is available. I'm sure many of us would be thankful to have these bindings as soon as possible, and would be glad to test and give feedback before release of 5.4.

As some of us still have RHEL 4 machines around and use puppet to manage them, it would be extra great if ruby bindings for selinux were also available for these older systems (maybe through EPEL ?)

Let me know if I should file a bug report elsewhere for that.

Thanks !
Comment 2 Daniel Walsh 2009-01-27 16:29:36 EST
Added in libselinux-1.33.4-6.el5
Comment 3 Daniel Walsh 2009-01-27 16:33:34 EST
Should have been Added in libselinux-1.33.4-5.2.el5
Comment 5 Marc Fournier 2009-02-03 07:42:34 EST
Dan, thanks a lot !

Where can one find libselinux-1.33.4-5.2.el5 ? or SRPMS ? I would be very interested in using these bindings soon. Never mind if the aren't yet part of an official release.
Comment 7 Todd Zullinger 2009-02-17 11:08:07 EST
Marc, I think Dan has these in his repository on people.redhat.com:

http://people.redhat.com/dwalsh/SELinux/RHEL5/

(Thanks for these packages Dan!)
Comment 8 Daniel Walsh 2009-02-17 11:59:15 EST
Yes sorry I never responded.
Comment 11 errata-xmlrpc 2009-09-02 03:57:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1241.html

Note You need to log in before you can comment on or make changes to this bug.